API referenceConnections
Generate + write email DNS for the connection's domain
Generates MX/SPF/DKIM/DMARC for the given provider and writes the safe records via the app's delegated credential. The apex SPF TXT is never auto-written (it would clobber other apex TXT records) and is returned in manual_records. Without a delegated credential, every record is manual.
Authorization
apiKey AuthorizationBearer <token>
API key: sk_test_… / sk_live_… (hashed at rest, scoped)
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/email:apply" \ -H "Content-Type: application/json" \ -d '{ "provider": "google_workspace" }'{ "applied": true, "domain": "string", "provider": "string", "written_records": [ { "host": "string", "type": "A", "value": "string", "ttl": 300, "priority": 0 } ], "manual_records": [ { "host": "string", "type": "A", "value": "string", "ttl": 300, "priority": 0 } ], "notes": [ "string" ]}{ "error": { "code": "string", "message": "string", "details": null }}